exam:
    path:     /
    defaults: { _controller: "AppBundle:Exams:index" }

exam_show:
    path:     /{id}/show
    defaults: { _controller: "AppBundle:Exams:show" }

exam_new:
    path:     /new
    defaults: { _controller: "AppBundle:Exams:new" }

exam_create:
    path:     /create
    defaults: { _controller: "AppBundle:Exams:create" }
    methods:  POST

exam_edit:
    path:     /{id}/edit
    defaults: { _controller: "AppBundle:Exams:edit" }

exam_update:
    path:     /{id}/update
    defaults: { _controller: "AppBundle:Exams:update" }
    methods:  [POST, PUT]

exam_delete:
    path:     /{id}/delete
    defaults: { _controller: "AppBundle:Exams:delete" }
    methods:  [POST, DELETE]
    
exam_show_question:
    path:     /show_question/{examid}
    defaults: { _controller: "AppBundle:ExamQuestions:index" }
exam_add_question:
    path:     /add_question/{examid}
    defaults: { _controller: "AppBundle:ExamQuestions:show" }
exam_insert_question:
    path:     /addto_question/{examid}
    defaults: { _controller: "AppBundle:ExamQuestions:add" }
exam_remove_question:
    path:     /remove_question/{examid}
    defaults: { _controller: "AppBundle:ExamQuestions:remove" }
    
exam_modify_exam_question_mark:
    path:     /modify_mark/{examid}/{questionid}
    defaults: { _controller: "AppBundle:ExamQuestions:modifyMark" }
exam_modify_exam_question_minusmark:
    path:     /modify_minus_mark/{examid}/{questionid}
    defaults: { _controller: "AppBundle:ExamQuestions:modifyMinusMark" }
exam_modify_exam_question_feedback:
    path:     /modify_feedback/{examid}/{questionid}
    defaults: { _controller: "AppBundle:ExamQuestions:modifyFeedback" }
exam_finalize:
    path:     /finalize/{examid}
    defaults: { _controller: "AppBundle:ExamQuestions:finalize" }
exam_finalize_cancel:
    path:     /finalize_cancel/{examid}
    defaults: { _controller: "AppBundle:ExamQuestions:cancelFinalize" }
exam_conclusions:
    path:     /conclusions/{examid}
    defaults: { _controller: "AppBundle:ExamConclusions:index" }
